URL list XML parsing(3)

NAME
URL list XML parsing -

  Functions
discover_xml_url_t * discover_xml_get_urls (discover_error_t *status)
void discover_xml_free_urls (void)
discover_xml_url_t * discover_xml_get_data_urls (discover_bus_t bus, discover_filetype_t filetype, discover_error_t *status)
void discover_xml_free_data_urls (void)
discover_xml_url_t * discover_xml_url_new (void)
void discover_xml_url_copy (discover_xml_url_t *src, discover_xml_url_t *dst)
char * discover_xml_url_get_url (discover_xml_url_t *url)
char * discover_xml_url_get_label (discover_xml_url_t *url)
char * discover_xml_url_get_bus (discover_xml_url_t *url)
char * discover_xml_url_get_type (discover_xml_url_t *url)
discover_xml_url_t * discover_xml_url_get_next (discover_xml_url_t *url)
discover_xml_url_t * discover_xml_url_get_last (discover_xml_url_t *url)
void discover_xml_url_free (discover_xml_url_t *urls)

Function Documentation

  void discover_xml_free_data_urls (void)

Free the list of data URLs.

Definition at line 310 of file url-xml.c.

References BUS_COUNT, and discover_xml_url_free().

  void discover_xml_free_urls (void)

Free the list of URLs.

Definition at line 244 of file url-xml.c.

References discover_xml_url_free().

  discover_xml_url_t* discover_xml_get_data_urls (discover_bus_t bus, discover_filetype_t filetype, discover_error_t * status)

Get the list of data URLs, based on the bus type and type of data required.

Parameters:
    bus Bus in question
    filetype Type of file (vendor, busclass, or device)
    status Address in which to place status report

Definition at line 261 of file url-xml.c.

References discover_error::code, discover_conf_get_bus_name(), discover_conf_get_filetype_name(), DISCOVER_EDATANOTFOUND, discover_xml_get_urls(), discover_xml_url_copy(), and discover_xml_url_new().

Referenced by discover_xml_get_busclasses(), discover_xml_get_devices(), and discover_xml_get_vendors().

  discover_xml_url_t* discover_xml_get_urls (discover_error_t * status)

Get the list of URLs from which bus and device data will be retrieved.

Parameters:
    status Address in which to place status report

Definition at line 182 of file url-xml.c.

References discover_error::code, discover_conf_get_urls(), DISCOVER_EIO, DISCOVER_EXML, and discover_xml_url_free().

Referenced by discover_xml_get_data_urls().

  void discover_xml_url_copy (discover_xml_url_t * src, discover_xml_url_t * dst)

Copy a URL structure.

Parameters:
    src Copy from (source)
    dst Copy to (destination)

Definition at line 349 of file url-xml.c.

Referenced by discover_xml_get_data_urls().

  void discover_xml_url_free (discover_xml_url_t * urls)

Free the URL or list of URLs.

Parameters:
    urls URL or list of URLs to free

Definition at line 444 of file url-xml.c.

Referenced by discover_conf_free(), discover_xml_free_data_urls(), discover_xml_free_urls(), and discover_xml_get_urls().

  char* discover_xml_url_get_bus (discover_xml_url_t * url)

Get the bus member of URL.

Definition at line 398 of file url-xml.c.

  char* discover_xml_url_get_label (discover_xml_url_t * url)

Get the label member of url.

Definition at line 387 of file url-xml.c.

  discover_xml_url_t* discover_xml_url_get_last (discover_xml_url_t * url)

Get the last member of url.

Definition at line 431 of file url-xml.c.

  discover_xml_url_t* discover_xml_url_get_next (discover_xml_url_t * url)

Get the next member of url.

Definition at line 420 of file url-xml.c.

Referenced by discover_xml_get_busclasses(), discover_xml_get_devices(), and discover_xml_get_vendors().

  char* discover_xml_url_get_type (discover_xml_url_t * url)

Get the type member of url.

Definition at line 409 of file url-xml.c.

  char* discover_xml_url_get_url (discover_xml_url_t * url)

Get the url member of url.

Definition at line 376 of file url-xml.c.

Referenced by discover_xml_get_busclasses(), discover_xml_get_devices(), and discover_xml_get_vendors().

  discover_xml_url_t* discover_xml_url_new (void)

Create and initialize a new (empty) URL structure.

Definition at line 326 of file url-xml.c.

Referenced by discover_conf_get_urls(), and discover_xml_get_data_urls().